summaryrefslogtreecommitdiff
path: root/tests/tstunt
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2016-12-19 16:17:00 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2016-12-19 16:17:04 +0000
commitce13c15ee5ac88b16b99af9f0071f4ecaff004f4 (patch)
tree195d8dd3ea8d2fff79eb396b2bad57561c96ed96 /tests/tstunt
parentf60ec72817bf5cc38a8ec83abd2e065f0433001c (diff)
Provide and use stunt lintian and debuild
This avoids lintian complaining about our stupid test packages. We need the stunt debuild because debuild likes to launder the environment, removing our stunt lintian from PATH ! Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tstunt')
-rwxr-xr-xtests/tstunt/debuild4
-rwxr-xr-xtests/tstunt/lintian3
2 files changed, 7 insertions, 0 deletions
diff --git a/tests/tstunt/debuild b/tests/tstunt/debuild
new file mode 100755
index 0000000..2b2ca71
--- /dev/null
+++ b/tests/tstunt/debuild
@@ -0,0 +1,4 @@
+#!/bin/bash
+set -e
+echo "DGIT TEST STUNT DEBUILD $*" >&2
+"${DGIT_TEST_REAL_DEBUILD}" --preserve-env --preserve-envvar PATH "$@"
diff --git a/tests/tstunt/lintian b/tests/tstunt/lintian
new file mode 100755
index 0000000..f7c2985
--- /dev/null
+++ b/tests/tstunt/lintian
@@ -0,0 +1,3 @@
+#!/bin/sh
+echo >&2 'W: dgit test suite stunt lintian detects no problems'
+exit 0